/**
 * Data model pour les prouesses
 */
export default class ProuesseDataModel extends foundry.abstract.TypeDataModel {
  static defineSchema() {
    const fields = foundry.data.fields;
    return {
      categorie: new fields.StringField({ initial: "" }),
      niveau: new fields.NumberField({ initial: 0, integer: true }),
      armes: new fields.StringField({ initial: "" }),
      prerequis: new fields.StringField({ initial: "" }),
      modificateur: new fields.NumberField({ initial: 0, integer: true }),
      description: new fields.HTMLField({ initial: "" })
    };
  }
}
